% fipmca
% TNS anne 2003
% Variables alatoires 1
% Programme: ala1_1.m

mu=0; sigma2=1 ; % moyenne et variance de la gaussienne
N=10000 ;        % Nbre de realisations
Nclasse=50 ;     % On a Nclasse entre la plus petite et la plus grande realisation

% Tirages
% -------
X=sqrt(sigma2)*randn(N,1)+mu ;

% Estimation de la densit
% ------------------------
[histo,x]=hist(X,Nclasse) ;
delta=x(2)-x(1) ;
densite_est=(1/N)*(1/delta)*histo ;
figure(1)
bar(x,densite_est,1) ;

% Densit exacte
% --------------
xx=linspace(min(X),max(X),1000) ;
densite=(1/sqrt(2*pi*sigma2))*exp(-(0.5/sigma2)*(xx-mu).^2) ;

hold on
plot(xx,densite,'r') 
hold off
