% fichier tfd00111.m
%
% fipmca  15/10/2003
%
% TP TFD
%  
% 1.1.1 dtermination de l'chelle des frquences
%
% fr frquence rduite
% N  nombre d'chantillons de la squence {x(nTe)}

clear all
close all

N=128;
n=0:N-1;

Fe=1;Te=1/Fe;

A0=1;phi0=0;
fr0=0.125;
%fr0=0.25;     deuxime valeur de la frquence rduite

x0=A0*sin(2*pi*fr0*n*Te+phi0);

L=32*N;
X0=abs(fft(x0,L));

figure(1)
plot(x0)

figure(2)
plot(X0)
grid,zoom

% 
% Conclusion
% En augmentant fr, les raies s'loignent.
% L'axe des frquences est donc gradu de 0  Fe-Fe/N.
% (remarque : ici N est aussi le nombre de points calculs par fft)

%
% graduation de l'axe des frquences

freq_reduite=linspace(0,1-1/L,L);

figure(3)
plot(freq_reduite,X0)
grid,zoom

% Conclusion
% L'amplitude des raies est gale  N*(A0/2), au lieu de 
% A0/2 comme le prvoit la thorie.