% fichier tfd00121.m
%
% fipmca  15/10/2003
%
% TP TFD
%
% 1.2.1 effet du fentrage : introduction
%
% L nombre de points calculs par fft 
% (pour L>>N on admettra que le rsultat fourni par fft correspond 
%  la transforme de Fourier continue)

clear all
close all

N=32;L=4096;
n=0:N-1;

Fe=1;Te=1/Fe;

A0=1;phi0=0;
fr0=0.25;
x0=A0*sin(2*pi*fr0*n*Te);

X0=abs(fft(x0,L));

freq_reduite=linspace(0,1-1/L,L);

figure(1)
plot(n,x0)

figure(2)
plot(freq_reduite,X0)
grid,zoom

%break

A1=1;
fr1=0.09;
x1=A1*sin(2*pi*fr1*n*Te);

X1=abs(fft(x1,L));

figure(3)
plot(freq_reduite,X1)
grid,zoom
title('mise en vidence du phnomne de repliement')

%
% Commentaire
% La dissymtrie qui apparait sur l'amplitude des lobes secondaires
% est due au repliemement du spectre de la fentre. Ce phnomne est
% particulirement visible pour des raies fr1 et -fr1 voisines (c'est 
% le cas avec fr=0.09, alors que l'effet est quasi invisible avec fr=0.25)