% fipmca
% TNS anne 2003
% Variables alatoires 1
% Programme: ala1_4.m

mu=0.3; sigma2=1 ; % moyenne et variance du signal alatoire
Nsig= 50000 ; % Nombre d'chantillons du signal
N=100 ; % Nbre d'echantillons dans l'estimation de la puissance

% Puissance thorique du signal
% -----------------------------
Px=mu*mu+sigma2 ;

% Realisation du signal pour n=1,...,Nsig
% ---------------------------------------
x=mu+sqrt(sigma2)*randn(1,Nsig) ;
figure(1)
plot(x) ;
xlabel('Echantillon')
ylabel('signal')

% Signal Zn
% ---------
h=(1/N)*ones(1,N) ;
y=x.*x ; % elevation au carre du signal
z=filter(h,1,y) ;
figure(2)
plot(z) ;
xlabel('Echantillon')
ylabel('Zn')


