
%tfd_base.m  fichier de base TP TFD 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
%   fichier tfd.m 
%
%  Auteur stef : fichier de base pour le TP d'ASC
%  
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all
close all
Fe=1000;
Te=1/Fe;
f0=0.45*Fe;
% creation de la sinusoide echantillonnee
fr = 0.45;   % frequence rduite de x
N=128;      % nombre de points
A=1;	    % amplitude 
x= A*cos(2*pi*[0:N-1]'*f0*Te);


% et trac

Fe = 1000;     %Fe = 1000Hz
Te=1/Fe;
t=[0:N-1]*Te;
figure(1)
%plot(t,x,'.')
plot(t,x)

title('Signal a analyser')
xlabel('t en Seconde')
disp('strike any key')
pause

% fenetrage car signal pas periodique
x_fen = x; 	% pas de fenetrage

 %x_fen=x.*blackman(N); 	% fenetrage par la fenetre de blackman 
 

% quelques tracs 
plot(t,x_fen,'.')
xlabel('Signal a analyser avec fenetrage')
disp('strike any key')
pause

L=32*N;		% nombre de frequence calculee >>N

X= fft(x_fen,L);%  Normalisation ??   
 
 % X = fftshift(X);   % a Tester 		           
     			   
     % generation des axes de frequence 
fred=linspace(0,1-1/L,L);
f = fred*Fe;   
     
     figure
     subplot(3,1,1)
     plot(f,real(X),'b')
     title('Partie reelle du spectre d''amplitude')
 	
 	
     drawnow
     zoom on
     subplot(3,1,2)
     plot(imag(X),'b')
     title('Partie complexe du spectre d''amplitude')
     
     drawnow
     zoom on
     subplot(3,1,3)
     semilogy(abs(X).^2,'b')
     xlabel('Frequence reduite')
     title('Spectre de puissance')
     
 	
     drawnow
     zoom on
   
   % fin temporaire   
break

 